csTuple2< First, Second > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
csTuple2< First, Second > Class Template Reference
Containers

A two length tuple (fixed size collection of elements) Tuples are typically used for quickly bounding grouped values around with a low overhead. More...

`#include <csutil/tuple.h>`

List of all members.

## Public Types
typedef First | FirstType
| typedef that can be accessed to recreate object of the first type
typedef Second | SecondType
| typedef that can be accessed to recreate object of the second type
## Public Member Functions
| csTuple2 ()
| Empty default constructor.
| csTuple2 (const First &first, const Second &second)
| Constructor to initialise both elements.
template<typename AlFirst , typename AlSecond >
| csTuple2 (const csTuple2< AlFirst, AlSecond > &t)
| Templated constructor from another csTuple2.
## Public Attributes
First | first
| First element in Tuple.
Second | second
| Second element in Tuple.

## Detailed Description

### template<typename First, typename Second>
class csTuple2< First, Second >

A two length tuple (fixed size collection of elements) Tuples are typically used for quickly bounding grouped values around with a low overhead.

Definition at line 35 of file tuple.h.

## Member Typedef Documentation

template<typename First, typename Second>

typedef First csTuple2< First, Second >::FirstType

typedef that can be accessed to recreate object of the first type

Definition at line 40 of file tuple.h.

template<typename First, typename Second>

typedef Second csTuple2< First, Second >::SecondType

typedef that can be accessed to recreate object of the second type

Definition at line 43 of file tuple.h.

## Constructor & Destructor Documentation

template<typename First, typename Second>

csTuple2< First, Second >::csTuple2 | ( |  | ) | `[inline]`

Empty default constructor.

Definition at line 51 of file tuple.h.

template<typename First, typename Second>

csTuple2< First, Second >::csTuple2 | ( | const First & | first,
|  | const Second & | second
| ) |  | `[inline]`

Constructor to initialise both elements.

Definition at line 53 of file tuple.h.

template<typename First, typename Second>
template<typename AlFirst , typename AlSecond >

csTuple2< First, Second >::csTuple2 | ( | const csTuple2< AlFirst, AlSecond > & | t | ) | `[inline]`

Templated constructor from another csTuple2.

Definition at line 57 of file tuple.h.

## Member Data Documentation

template<typename First, typename Second>

First csTuple2< First, Second >::first

First element in Tuple.

Definition at line 46 of file tuple.h.

template<typename First, typename Second>

Second csTuple2< First, Second >::second

Second element in Tuple.

Definition at line 48 of file tuple.h.

The documentation for this class was generated from the following file:

- csutil/tuple.h